unit cde_AboutForm;
{$mode delphi}
{$codepage UTF8}
interface
uses Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls, cde_dir, ShellApi, windows;
type
  { Tcde_AboutFrm }
  Tcde_AboutFrm = class(TForm)
    AboutSeparator: TBevel;
    BottomPanel: TPanel;
    BuildAtLbl: TLabel;
    CloseButton: TButton;
    CopyrightsLbl: TLabel;
    UsedTechnologiesLbl: TLabel;
    VersionLbl: TLabel;
    LogoImg: TImage;
    PlatformLbl: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure UsedTechnologiesLblClick(Sender: TObject);
  private
  public
  end;
var
  cde_AboutFrm: Tcde_AboutFrm;
implementation
{$R *.lfm}
{ Tcde_AboutFrm }
procedure Tcde_AboutFrm.FormCreate(Sender: TObject);
begin
LogoImg.Picture.LoadFromFile(GetCDEPath + 'images\logo.png');
end;
procedure Tcde_AboutFrm.FormShow(Sender: TObject);
begin
MessageBeep(MB_ICONASTERISK);
end;
procedure Tcde_AboutFrm.UsedTechnologiesLblClick(Sender: TObject);
begin
ShellExecute(Self.Handle, 'open', PChar(GetCDEPath + 'docs\3rdpartytechnologies.html'), Nil, Nil, 1);
end;
end.
